Home

Get validator identities (staking providers)

GET
https://egld-api.nownodes.io/identities

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves a paginated list of identities. If the identifier query parameter is provided, the list can be filtered to a specific identity slug (e.g., multiversx). The response includes stake, top‑up, score, rank, APR, validator count, and metadata.

Parameters

identifierstringquery

Filter by a specific identity identifier (e.g., multiversx). When provided, the response may return a single object in an array or a filtered list.

Response

200OK

Successful response